## ros-humble-tiago-description 4.0.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tiago_description)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()


#############
## Testing ##
#############

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  #  find_package(rostest REQUIRED)
    foreach(arm right-arm no-arm)
        # Separated to speed up tests, otherwise it's over 13min
        foreach(end_effector no-end-effector pal-gripper pal-hey5 custom)
            foreach(ft_sensor no-ft-sensor schunk-ft)
              add_launch_test(
                test/test_description.launch.py
                TARGET "tiago_description_${arm}_${end_effector}_${ft_sensor}"
                ARGS "arm:=${arm}" "end_effector:=${end_effector}" "ft_sensor:=${ft_sensor}"
              )
            endforeach()
        endforeach()

        foreach(laser_model no-laser hokuyo sick-551 sick-561 sick-571)
          add_launch_test(
            test/test_description.launch.py
            TARGET "tiago_description_${arm}_${laser_model}"
            ARGS "arm:=${arm}" "laser_model:=${laser_model}"
          )
        endforeach()
        foreach(camera_model no-camera orbbec-astra orbbec-astra-pro asus-xtion)
          add_launch_test(
            test/test_description.launch.py
            TARGET "tiago_description_${arm}_${camera_model}"
            ARGS "arm:=${arm}" "camera_model:=${camera_model}"
          )
        endforeach()
    endforeach()
endif()

# Install Python modules
ament_python_install_package(${PROJECT_NAME})

ament_auto_package(INSTALL_TO_SHARE config gazebo launch Media meshes robots ros2_control urdf)

=== debian/changelog ===
ros-humble-tiago-description (4.0.13-1jammy) jammy; urgency=high

  * Remove schunk wsg option
  * Remove left arm option
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.12-1jammy) jammy; urgency=high

  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Jul 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.11-1jammy) jammy; urgency=high

  * fix get_tiago_hw_suffix method to match yaml files
  * move pal-hey5 ros2_control xacro to hey5_description
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Jun 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.10-1jammy) jammy; urgency=high

  * unify file generator and get_tiago_hw_suffix method
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.9-1jammy) jammy; urgency=high

  * Add effort and veloctiy command interfaces
  * Contributors: Adria Roig

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.8-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.7-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.6-1jammy) jammy; urgency=high

  * rename motors to actuators
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.5-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.4-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.3-1jammy) jammy; urgency=high

  * Merge branch 'join_transmissions' into 'humble-devel'
    Join transmissions in a single file
    See merge request robots/tiago_robot!187
  * join transmissions definition in a single file
  * remove unused includes and duplicated transmissions
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Feb 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.2-1jammy) jammy; urgency=high

  * Merge branch 'transmissions' into 'humble-devel'
    Set transmissions inside the ros2_control tag
    See merge request robots/tiago_robot!186
  * update transmissions for arm, head and torso
  * update transmission tags for ros2
  * set transmissions inside the ros2_control tag
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-tiago-description (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'mv_calibration_files' into 'humble-devel'
    Move tiago_description_calibration xacro files to tiago_description
    See merge request robots/tiago_robot!178
  * move tiago_description_calibration xacro files to tiago_description
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup package.xml files and rm duplicated launcher
    See merge request robots/tiago_robot!174
  * update package.xml deps
  * Merge branch 'linters' into 'humble-devel'
    linter fix
    See merge request robots/tiago_robot!173
  * linter fix
  * Merge branch 'refactor_hw_suffix_method' into 'humble-devel'
    refactor get_tiago_hw_suffix to avoid using launch substitutions
    See merge request robots/tiago_robot!171
  * refactor get_tiago_hw_suffix to avoid using launch substitutions
  * Merge branch 'adjust_friction_dumping' into 'humble-devel'
    Adjust arm friction and dumping
    See merge request robots/tiago_robot!170
  * adjust arm friction and dumping
  * Merge branch 'update_copyright' into 'humble-devel'
    update copyright and license
    See merge request robots/tiago_robot!167
  * update copyright and license
  * Merge branch 'fix_warns' into 'humble-devel'
    fix remmaping warns
    See merge request robots/tiago_robot!166
  * fix remmaping warns
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/tiago_robot!165
  * rm ros1 launchers
  * Merge branch 'refactor_ld' into 'humble-devel'
    Refactor ld
    See merge request robots/tiago_robot!164
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/tiago_robot!163
  * update maintainers
  * Merge branch 'fix_tests' into 'humble-devel'
    Comment end-effectors not migrated yet for urdf tests success
    See merge request robots/tiago_robot!161
  * comment end-effectors not migrated yet to avoid tests errors
  * Merge branch 'robot_name' into 'humble-devel'
    Robot name
    See merge request robots/tiago_robot!160
  * change default robot_name value
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request robots/tiago_robot!159
  * linters
  * Merge branch 'launch_refactor' into 'humble-devel'
    launch files refactor
    See merge request robots/tiago_robot!158
  * update arm friction and damping
  * launch files refactor
  * Merge branch 'humble_fixes' into 'humble-devel'
    add missing materials
    See merge request robots/tiago_robot!157
  * add missing materials
  * Merge branch 'tiago_launcher' into 'galactic-devel'
    Tiago launcher
    See merge request robots/tiago_robot!150
  * add use_sim arg
  * Merge branch 'add_role_to_ros2_control' into 'foxy-devel'
    Change <type> to <plugin> and add role
    See merge request robots/tiago_robot!136
  * Add role param to plugin urdf


=== debian/control ===
Source: ros-humble-tiago-description
Section: misc
Priority: optional
Maintainer: Jordi Pages <jordi.pages@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-urdf-test <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tiago-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-hey5-description, ros-humble-launch, ros-humble-launch-pal, ros-humble-launch-param-builder, ros-humble-launch-ros, ros-humble-pal-gripper-description, ros-humble-pmb2-description, ros-humble-tiago-controller-configuration, ros-humble-xacro, ros-humble-ros-workspace
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the TIAGO robot.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tiago-description 4.6.0

=== debian/changelog ===
ros-humble-tiago-description (4.6.0-1bookworm) bookworm; urgency=high

  * Fix torso height for the omni_base
  * Add slash to node names on parameter files
  * Contributors: Noel Jimenez, thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 17 Sep 2024 16:00:00 -0000

ros-humble-tiago-description (4.5.0-1bookworm) bookworm; urgency=high

  * Fix distances for old wrist + change default wrist + typo
  * Fix distance of from the arm_7_link to arm_tool_link and the ft_sensor link placement
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-tiago-description (4.4.0-1bookworm) bookworm; urgency=high

  * Add dependencies and parameter for motor_model
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-tiago-description (4.3.0-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.21-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.20-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 28 Jul 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.19-1bookworm) bookworm; urgency=high

  * Change parameter to arm_type
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 24 Jul 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.18-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.17-1bookworm) bookworm; urgency=high

  * change module name into 10_*
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 07 Jul 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.16-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.15-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Change imports for robot arguments
    See merge request robots/tiago_robot!297
  * Change imports for robot arguments
  * Contributors: David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.14-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/fix/base-urdf' into 'humble-devel'
    Dtk/fix/base urdf
    See merge request robots/tiago_robot!295
  * Move _link to top file xacro
  * Add imu gazebo plugin and imu sensor broadcaster
  * Move ros2 control gazebo
  * Update urdf base with new args
  * Contributors: David ter Kuile, davidterkuile, thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.13-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/fix/description-test-base-type' into 'humble-devel'
    Add the base type to the tests
    See merge request robots/tiago_robot!289
  * Add the base type to the tests
  * Merge branch 'dtk/fix/is-public-sim' into 'humble-devel'
    Fix missing public sim arg
    See merge request robots/tiago_robot!290
  * Fix missing public sim arg
  * Merge branch 'fix/is_public_sim_argument' into 'humble-devel'
    add missing argument is_public_sim
    See merge request robots/tiago_robot!288
  * add missing argument is_public_sim
  * Contributors: Aina Irisarri, David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 04 Jun 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.12-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/desc_test_proper_arg' into 'humble-devel'
    Changed test arm argument to arm_type
    See merge request robots/tiago_robot!286
  * Changed test arm argument to arm_type
  * Merge branch 'omm/feat/arm_name_std' into 'humble-devel'
    Changed arm_model to arm_type in the URDF
    See merge request robots/tiago_robot!285
  * Changed arm_model to arm_type in the URDF
  * Contributors: davidterkuile, oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.11-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/feat/public_sim_conditions' into 'humble-devel'
    Publishing the odom tf depending on the is_public_sim parameter
    See merge request robots/tiago_robot!284
  * Publishing the odom tf depending on the is_public_sim parameter
  * Contributors: davidterkuile, oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.10-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.9-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/fix/robot-state-publisher' into 'humble-devel'
    Dtk/fix/robot state publisher
    See merge request robots/tiago_robot!281
  * Add robot state publisher dependency to tiago description
  * Contributors: davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 May 2024 16:00:00 -0000

ros-humble-tiago-description (4.2.8-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/urdf_complete_std' into 'humble-devel'
    URDF std
    See merge request robots/tiago_robot!278
  * Suggested changed
  * Module, joy config and restored support for tiago dual
  * Gazebo config std
  * Final mods
  * Transmissions std
  * Thermal camera std
  * FT sensor std
  * ee std
  * Arm std
  * Style fix
  * ROS2 control and include std
  * Head std
  * Torso std
  * Property/arg standarization
  * High level urdf standarization
  * Suggested changes
  * Launch files moved to TIAGo family standard


=== debian/control ===
Source: ros-humble-tiago-description
Section: misc
Priority: optional
Maintainer: Jordi Pages <jordi.pages@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-urdf-test <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/tiago_simulation
Standards-Version: 3.9.2

Package: ros-humble-tiago-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch, ros-humble-launch-pal, ros-humble-launch-param-builder, ros-humble-launch-ros, ros-humble-omni-base-description, ros-humble-pal-gripper-description, ros-humble-pal-hey5-description, ros-humble-pal-robotiq-description, ros-humble-pal-urdf-utils, ros-humble-pmb2-description, ros-humble-robot-state-publisher, ros-humble-xacro, ros-humble-ros-workspace
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the TIAGO robot.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-description//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-description//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tiago-description//opt/ros/humble/opt/tiago_description/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
